Bug 1000574 - [RFE]: Java Cartridges should Support other JDK's
[RFE]: Java Cartridges should Support other JDK's
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Image (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ben Parees
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 13:29 EDT by Eric Rich
Modified: 2015-05-14 22:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-19 14:08:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Rich 2013-08-23 13:29:18 EDT
Description of problem:

Can Java based cartridges be configure to use other JDK versions, that might be installed on a node with alternatives? 

[Idea]: allow marker files to select any one of the nodes listed alternative versions of Java.
Comment 1 Ben Parees 2014-03-19 14:08:26 EDT
I've converted proposal into a trello card as it is a non-trivial change.

https://trello.com/c/xG8duyXd/173-support-additional-jdks-for-java-cartridges
Comment 2 Dan McPherson 2014-04-07 10:43:59 EDT
This is a great use case for a downloadable cart.  There is too much of a test issue with including all possible versions in the standard carts.
Comment 3 John Keck 2014-04-14 15:45:04 EDT
It should be noted that using /etc/alternatives/ you can change the behavior for all gears running on a particular node.  If you install a 3rd party JDK and point /etc/alternatives to that then all gears will run that 3rd party JVM.

Also, on a per application instance basis - you can override the JAVA_HOME to point to whatever binary you would like; however, this is a manual step and is not built into the RHC or Web Console.

Note You need to log in before you can comment on or make changes to this bug.